Last Comment Bug 685820 - Fix uint64/uint64_t breakage in PluginMessageUtils.h
: Fix uint64/uint64_t breakage in PluginMessageUtils.h
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86_64 OpenBSD
: -- normal (vote)
: mozilla9
Assigned To: Landry Breuil (:gaston)
:
Mentors:
Depends on: 634793
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-09 04:08 PDT by Landry Breuil (:gaston)
Modified: 2012-05-19 01:34 PDT (History)
4 users (show)
emorley: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
uses uint64 instead of uint64_t (892 bytes, patch)
2011-09-09 04:10 PDT, Landry Breuil (:gaston)
cjones.bugs: review+
Details | Diff | Splinter Review

Description Landry Breuil (:gaston) 2011-09-09 04:08:19 PDT
Followup to bug #682759, trunk now fails to build on OpenBSD/amd64 with the following error message :

../../dist/include/mozilla/plugins/PluginMessageUtils.h: In staticmember function 'static bool IPC::ParamTraits<mozilla::plugins::NPRemoteWindow>::Read(const IPC::Message*,void**, mozilla::plugins::NPRemoteWindow*)':
../../dist/include/mozilla/plugins/PluginMessageUtils.h:389: error:invalid conversion from 'uint64_t*' to 'uint64*'
../../dist/include/mozilla/plugins/PluginMessageUtils.h:389: error:initializing argument 2 of 'bool  Pickle::ReadUInt64(void**, uint64*) const'

Introduced by that commit : http://hg.mozilla.org/mozilla-central/rev/1bba630bb3a0

This is not the first time it happens, usually it's the other way round (ie using an uint64 where an uint64_t should be used). Discussions about jstypes happened here : https://bugzilla.mozilla.org/show_bug.cgi?id=662852
Comment 1 Landry Breuil (:gaston) 2011-09-09 04:10:16 PDT
Created attachment 559412 [details] [diff] [review]
uses uint64 instead of uint64_t

Attached patch fixes the issue, but i'm not sure at all this is the correct fix.
Comment 2 Landry Breuil (:gaston) 2011-09-09 04:13:08 PDT
By 'not sure this is the correct fix' i mean the other types used in that header are legit _t types, so maybe readuint64 proto should be amended/fixed to take a _t type ? or all others uint64_t should be replaced by uint64 (coming from nspr iirc...)
Comment 3 Josh Aas 2011-09-09 10:52:01 PDT
Comment on attachment 559412 [details] [diff] [review]
uses uint64 instead of uint64_t

So long as the end result is a 64-bit unsigned integer on all platforms I don't have a type preference. Lets get Chris Jones to make a decision, he's probably run into this before.
Comment 4 Ed Morley [:emorley] 2011-09-20 03:26:02 PDT
This is now in my queue of things that are being sent to try then onto inbound :-)
Comment 6 Marco Bonardo [::mak] 2011-09-21 02:53:03 PDT
https://hg.mozilla.org/mozilla-central/rev/2ea7c7953cb8

Note You need to log in before you can comment on or make changes to this bug.